XXXXX
API reference
Search or ask a question⌘K
API reference
AuthPOSTCreate a new user accountPOSTLogin and get access token
ProductsGETList all products with filtersGETGet product details by ID
CartGETGet current user's cartPOSTAdd item to cart
CheckoutPOSTCheckout and place order
OrdersGETList your past ordersGETGet order details
AddressesGETGet your saved addressesPOSTAdd a new address
API reference/Auth

Login and get access token

POSThttps://api.demo-ecommerce.com/v1/auth/login

Body

application/json
emailstringrequired
passwordstringrequired

Responses

200Authenticated successfully›
401Unauthorized›
✓ Matches the API, version 1.0.0Made from E-commerce API's API description
Previous← Create a new user accountNextList all products with filters →
curl -X POST "https://api.demo-ecommerce.com/v1/auth/login" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string",
    "password": "string"
  }'
Send a real request with your own key.
XXXXKept up to date with HelpLayer